<< islinphase | FOSSEE_Signal_Processing_Toolbox | isminphase >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > ismaxphase

# ismaxphase

Determine whether a filter is maximum phase.

### Syntax

    flag = ismaxphase(b, a)
    flag = ismaxphase(sos)
    flag = ismaxphase(..., tol)

### Parameters

b:

  Numerator coefficients of the filter.

a:

  Denominator coefficients of the filter.

sos:

  K x 6 second-order section matrix.

tol:

  (optional) Tolerance used to determine when two numbers are close enough to be considered equal.

### Description

The `ismaxphase` function determines whether the given system function is a maximum phase system. A maximum phase system means all zeros of the transfer function are outside the unit circle in the z-plane, and all poles must be within the unit circle for stability and causality.

### Examples

    flag = ismaxphase([1 -5 6], 1)

### Authors

- Parthasarathi Panda ( parthasarathipanda314@gmail.com )

Report an issue
<< islinphase | FOSSEE_Signal_Processing_Toolbox | isminphase >>